Skip to main content
`Ctrl`+`K`

# ISShift

Shift all indices by given offset

## Synopsis

    #include "petscis.h"
    PetscErrorCode ISShift(IS is, PetscInt offset, IS isy)

Collective

## Input Parameters

- is - the index set

- offset - the offset

## Output Parameter

- isy - the shifted copy of the input index set

## Notes

The `offset` can be different across processes.

`is` and `isy` can be the same.

## See Also

`ISDuplicate()`, `ISCopy()`

## Level

beginner

## Location

src/vec/is/is/interface/index.c

## Implementations

ISShift_Block() in src/vec/is/is/impls/block/block.c
ISShift_General() in src/vec/is/is/impls/general/general.c
ISShift_Stride() in src/vec/is/is/impls/stride/stride.c

Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages